#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright 2012 Liricus SRL <info@liricus.com.ar>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Fra


#===============================================================================
# DOCS
#===============================================================================

"""Utilities to manipulate templates.

"""


#===============================================================================
# IMPORTS
#===============================================================================

import string
import datetime

from socialframe_server import settings


#===============================================================================
# FUNCTIONS
#===============================================================================

# Vaiables:
#   $to : the destination address
#   $from : the from address
#   $date : The actual date with DATE_FORMAT
#   $time : Time as hour:minutes:seconds.miliseconds
#   $app : The APP_NAME
#   $data : Where the data to be returned will be inserted
def render_mail(template, toaddr, fromaddr, data):
    now = datetime.datetime.now()
    return string.Template(template).safe_substitute({
        "to": toaddr,
        "from": fromaddr,
        "date": now.strftime(settings.DATE_FORMAT),
        "time": now.strftime("%H:%M:%S.%f"),
        "app": settings.APP_NAME,
        "data": data
    })


#===============================================================================
# MAIN
#===============================================================================

if __name__ == "__main__":
    print(__doc__)
